Subject: DHCPv6, tues discussion point #7

From: "Michael W. Carney" <[email-masked]>
Date: Sun, 30 Jul 2000 21:08:46 -0700

[from the issues section of the march draft]

7)  Trade-offs:  Optional fields in DHCP messages

   You'll notice that the message formats have changed.  In particular,
   some of the optional fields are now required.  This will increase the
   size of DHCP messages in some cases, consuming network bandwidth and
   memory on the DHCP client (an issue for small devices such as PDAs).

   The changes were made for the following reasons:

     o Fields that were used most of the time were made required.

     o Some fields that were optional were either made required or added
       to messages which previously didn't have them.  This was done for
       robustness reasons (receivers can validate that the message is
       for them, and in the case of clients, know which interface the
       message is intended for).

     o Simplicity.

   Please look at the messages as they are now defined, and let us know
   your opinion.